Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Remove element drafts by ID.

Remove element drafts by ID. Remove architecture elements by their instance ids. Only drafts can be removed, and no element of conceptual class BusinessProcess. If one of the given elements is published or a BusinessProcess, the whole request is turned down with 400 and none of them is deleted.

Security: Manager or Designer of the process space, or an owner of the affected architecture element(s).

DELETE/v1/warehouses/{warehouseId}/architectureElements
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

Warehouse-Id

Request-Body
erforderlichapplication/json

ArchitectureElement-Ids to remove

Array von string
string
Antworten
204

NoContent

400

An element is no draft or a BusinessProcess, nothing is deleted

string
403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X DELETE 'https://goto.bpanda.com/api/v1/warehouses/string/architectureElements' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "string"
]'
Antwort
NoContent